      subroutine wrt_avg
      


      use Agrif_Util
#include "Param_BeforeCall_wrt_avg.h"
      

        call Sub_Loop_wrt_avg( Agrif_tabvars_i(14)%iarray0, Agrif_tabvar
     &s_i(4)%iarray0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%ia
     &rray0, Agrif_tabvars_i(167)%iarray0, Agrif_tabvars_i(133)%iarray0,
     & Agrif_tabvars(269)%array2, Agrif_tabvars_i(132)%iarray0, Agrif_ta
     &bvars(270)%array2, Agrif_tabvars_i(131)%iarray0, Agrif_tabvars(271
     &)%array2, Agrif_tabvars_i(114)%iarray0, Agrif_tabvars(272)%array2,
     & Agrif_tabvars_i(113)%iarray0, Agrif_tabvars_i(112)%iarray0, Agrif
     &_tabvars(81)%array2, Agrif_tabvars(276)%array3, Agrif_tabvars_i(12
     &1)%iarray0, Agrif_tabvars(273)%array2, Agrif_tabvars_i(120)%iarray
     &0, Agrif_tabvars(274)%array2, Agrif_tabvars_i(128)%iarray0, Agrif_
     &tabvars_i(127)%iarray0, Agrif_tabvars(266)%array4, Agrif_tabvars_i
     &(126)%iarray0, Agrif_tabvars(267)%array3, Agrif_tabvars_i(125)%iar
     &ray0, Agrif_tabvars(268)%array3, Agrif_tabvars_i(123)%iarray0, Agr
     &if_tabvars(277)%array3, Agrif_tabvars_i(122)%iarray0, Agrif_tabvar
     &s(279)%array3, Agrif_tabvars_i(129)%iarray0, Agrif_tabvars(278)%ar
     &ray3, Agrif_tabvars(299)%array3, Agrif_tabvars_i(119)%iarray0, Agr
     &if_tabvars_r(12)%array0, Agrif_tabvars(280)%array3, Agrif_tabvars_
     &i(130)%iarray1, Agrif_tabvars(281)%array4, Agrif_tabvars_i(118)%ia
     &rray0, Agrif_tabvars(282)%array3, Agrif_tabvars_i(117)%iarray0, Ag
     &rif_tabvars(283)%array3, Agrif_tabvars(298)%array3, Agrif_tabvars_
     &i(109)%iarray0, Agrif_tabvars(285)%array2, Agrif_tabvars_i(108)%ia
     &rray0, Agrif_tabvars(286)%array2, Agrif_tabvars_i(107)%iarray0, Ag
     &rif_tabvars(287)%array2, Agrif_tabvars_i(111)%iarray0, Agrif_tabva
     &rs(288)%array2, Agrif_tabvars_i(110)%iarray0, Agrif_tabvars(289)%a
     &rray2, Agrif_tabvars_i(106)%iarray0, Agrif_tabvars(290)%array2, Ag
     &rif_tabvars_i(105)%iarray0, Agrif_tabvars(291)%array2, Agrif_tabva
     &rs_i(104)%iarray0, Agrif_tabvars(292)%array2, Agrif_tabvars_i(103)
     &%iarray0, Agrif_tabvars(293)%array2, Agrif_tabvars(297)%array2, Ag
     &rif_tabvars_l(2)%larray1, Agrif_tabvars_i(101)%iarray0, Agrif_tabv
     &ars_c(18)%carray2, Agrif_tabvars_r(10)%array0, Agrif_tabvars_i(100
     &)%iarray0, Agrif_tabvars_i(102)%iarray0, Agrif_tabvars_i(61)%iarra
     &y0, Agrif_tabvars_i(47)%iarray0, Agrif_tabvars_i(147)%iarray0, Agr
     &if_tabvars_i(99)%iarray0, Agrif_tabvars_c(16)%carray0, Agrif_tabva
     &rs_i(98)%iarray0, Agrif_tabvars_i(97)%iarray0, Agrif_tabvars_i(176
     &)%iarray0)

      end


#include "Sub_Loop_wrt_avg.h"
